!       x = 0.1, 0.2, ... 1.0 のx の二乗を足すプログラム
!       履歴
!       2011/04/?? 川畑拓也　新規作成
!       2012/04/19 増田和孝　修正
program ex3
implicit none

real(8) :: sn     ! 二乗和
real(8) :: xn     ! 被加算項
integer :: n      ! 和の回数

! 変数の初期化
sn = 0.0d0
xn = 0.0d0
n = 0

! x = 1.0 までの二乗を足していくループ
do while(xn <= 1.0d0)   
   sn = sn + xn**2
   xn = xn + 0.10d0

   ! 標準出力への書き出し
   write(*,*) n , sn
   n = n + 1
end do

end program ex3
